<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Home Page</title>
    <link th:href="@{/css/style.css}" rel="stylesheet" type="text/css">
    <link href="../static/css/style.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="http://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
    <script src="http://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#customersTable').DataTable();
        });
    </script>
    <script>
        $(document).ready(function () {
            $('#customerCarsTable').DataTable();
        });
    </script>
    <script>
        $(document).ready(function () {
            $('#ownedCarsTable').DataTable();
        });
    </script>
</head>
<body>
<nav class="navBar">
    <div class="nav-link">
        User:&nbsp<span sec:authentication="name"/>
    </div>
    <div class="nav-link" sec:authorize="hasRole('ROLE_ADMIN')">
        <a th:href="@{admin}">Admin Portal</a>
    </div>
    <div class="nav-link" sec:authorize="hasRole('ROLE_ADMIN')">
        <a th:href="@{/admin/register}">Register User</a>
    </div>
    <div class="nav-link" sec:authorize="hasRole('ROLE_ADMIN')">
        <a th:href="@{/admin/customer-cars/new}">Add Customer Car</a>
    </div>
    <div class="nav-link">
        <a th:href="@{/customers/edit}">Edit Profile</a>
    </div>
    <form class="nav-link" th:action="@{/logout}" method="post">
        <input type="submit" value="Logout"/>
    </form>
</nav>


<h4 align="center" sec:authorize="hasRole('ROLE_ADMIN')">Customers:</h4>
<div class="container" sec:authorize="hasRole('ROLE_ADMIN')">
    <table id="customersTable" class="display table table-bordered table-compact table-dark">
        <thead>
        <tr>
            <th class="index-head" th:text="#{label.id}">Id</th>
            <th class="index-head" th:text="#{label.name}">Name</th>
            <th class="index-head" th:text="#{label.email}">Email</th>
            <th class="index-head" th:text="#{label.phone}">Phone</th>
            <th class="index-head" th:text="#{label.edit}">Edit</th>
        </tr>
        </thead>
        <tbody>
        <tr class="row" th:each="customer : ${customers}">
            <td th:text="${customer.getId()}">CustomerID</td>
            <td th:text="${customer.getName()}">CustomerName</td>
            <td th:text="${customer.getEmail()}">CustomerEmail</td>
            <td th:text="${customer.getPhone()}">CustomerPhone</td>
            <td class="edit"><a th:href="@{'admin/customers/edit/' + ${customer.id}}">Edit</a></td>
        </tr>
        </tbody>
    </table>
</div>

<h4 align="center" sec:authorize="hasRole('ROLE_ADMIN')">Customer Cars:</h4>
<div class="container" sec:authorize="hasRole('ROLE_ADMIN')">
    <table id="customerCarsTable" class="display table table-bordered table-compact">
        <thead>
        <tr>
            <th class="index-head" th:text="#{label.id}"></th>
            <th class="index-head" th:text="#{label.owner}"></th>
            <th class="index-head" th:text="#{label.plate}"></th>
            <th class="index-head" th:text="#{label.vin}"></th>
            <th class="index-head" th:text="#{label.make}"></th>
            <th class="index-head" th:text="#{label.model}"></th>
            <th class="index-head" th:text="#{label.manufacturer}"></th>
            <th class="index-head" th:text="#{label.edit}"></th>
            <th class="index-head" th:text="#{label.history}"></th>
        </tr>
        </thead>
        <tbody>
        <tr class="row" th:each="customerCar : ${customerCars}">
            <td th:text="${customerCar.getId()}">CustomerID</td>
            <td th:text="${customerCar.getCustomer().getName()}">CarOwner</td>
            <td th:text="${customerCar.getLicensePlate()}">CarLicensePlate</td>
            <td th:text="${customerCar.getVIN()}">VIN</td>
            <td th:text="${customerCar.getCar().getMake()}">CarMake</td>
            <td th:text="${customerCar.getCar().getModel()}">CarModel</td>
            <td th:text="${customerCar.getCar().getYear()}">CarYear</td>
            <td class="edit"><a th:href="@{'/admin/customer-cars/edit/' + ${customerCar.id}}">Edit</a></td>
            <td class="edit"><a th:href="@{'/history/' + ${customerCar.id}}">View History</a></td>
        </tr>
        </tbody>
    </table>
</div>

<h4 align="center">Owned Cars:</h4>
<div class="container">
    <table id="ownedCarsTable" class="display table table-bordered table-compact">
        <thead>
        <tr>
            <th class="index-head" th:text="#{label.id}"></th>
            <th class="index-head" th:text="#{label.owner}"></th>
            <th class="index-head" th:text="#{label.plate}"></th>
            <th class="index-head" th:text="#{label.vin}"></th>
            <th class="index-head" th:text="#{label.make}"></th>
            <th class="index-head" th:text="#{label.model}"></th>
            <th class="index-head" th:text="#{label.manufacturer}"></th>
            <th class="index-head" th:text="#{label.history}"></th>
        </tr>
        </thead>
        <tbody>
        <tr class="row" th:each="ownedCar : ${ownedCars}">
            <td th:text="${ownedCar.getId()}">CustomerID</td>
            <td th:text="${ownedCar.getCustomer().getName()}">CarOwner</td>
            <td th:text="${ownedCar.getLicensePlate()}">CarLicensePlate</td>
            <td th:text="${ownedCar.getVIN()}">VIN</td>
            <td th:text="${ownedCar.getCar().getMake()}">CarMake</td>
            <td th:text="${ownedCar.getCar().getModel()}">CarModel</td>
            <td th:text="${ownedCar.getCar().getYear()}">CarYear</td>
            <td class="edit"><a th:href="@{'/history/' + ${ownedCar.id}}">View History</a></td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>